/* ***************
Desc: Installation script
Modified version of Clav's installscript from EM.
Author: Jed Brown (jedbro@gmx.net)
Version: 0.1.4
Last modified: July 22nd, 2003
****************** */
const APP_DISPLAY_NAME = "QuickNote";
const APP_NAME = "quicknote";
const APP_PACKAGE = "/Jed/quicknote";
const APP_VERSION = "0.2b";

const APP_JAR_FILE = "quicknote.jar";
const APP_CONTENT_FOLDER = "/";

const APP_SUCCESS_MESSAGE = " can now be found under the Tools menu.";

const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" to you profile?\nThis will mean it does not need reinstalling when you update your Mozilla App.\n(Click Cancel if you want "+APP_DISPLAY_NAME+" installing to the Applications directory.)";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// profile installs only work since 2003-03-06
var instToProfile = (buildID>2003030600 && confirm(INST_TO_PROFILE));

var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
if(err == SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	if(instToProfile) {
  	registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
  } else {
  	registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  }
	err = performInstall();
	if(err == SUCCESS || err == 999) {
		alert(APP_DISPLAY_NAME+" "+APP_VERSION+" has been succesfully installed.\n"+APP_DISPLAY_NAME + APP_SUCCESS_MESSAGE);
	} else {
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else {
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to your profile or chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
